Package org.codehaus.groovy.ast.tools

# Class ClassNodeUtils

java.lang.Object
org.codehaus.groovy.ast.tools.ClassNodeUtils

public class ClassNodeUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClassNodeUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addDeclaredMethodMapsFromSuperInterfaces(ClassNode cn, Map<String,MethodNode> allInterfaceMethods)`
`static void`
`addInterfaceMethods(ClassNode cnode, Map<String,MethodNode> methodsMap)`
`static Map<String,MethodNode>`
`getDeclaredMethodMapsFromInterfaces(ClassNode classNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassNodeUtils

public ClassNodeUtils()

## Method Details

### addInterfaceMethods

public static void addInterfaceMethods(ClassNode cnode, Map<String,MethodNode> methodsMap)

### getDeclaredMethodMapsFromInterfaces

public static Map<String,MethodNode> getDeclaredMethodMapsFromInterfaces(ClassNode classNode)

### addDeclaredMethodMapsFromSuperInterfaces

public static void addDeclaredMethodMapsFromSuperInterfaces(ClassNode cn, Map<String,MethodNode> allInterfaceMethods)